Skip to main content

STU3 CarePlan

The CarePlan resource describes the "intention of how one or more practitioners intend to deliver care for a particular patient, group or community for a period of time, possibly limited to care for a specific condition or set of conditions." HL7 FHIR STU3 CarePlan

Supported Profiles

This API supports the following FHIR profiles:

Operations

The Certified API CarePlan resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED-Yes-Yes
myAvatar-Yes-Yes
myEvolv-Yes-Yes
myUnity-Yes-Yes
info

Not all Netsmart solutions support CarePlan search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters

NameTypeDescription
patientreferenceREQUIRED Who the care plan is for

Custom Parameters

NameTypeDescription
enddateCarePlan start date/time
startdateCarePlan end date/time

Search Examples

Via POST

The POST method is recommended as it keeps health information out of the URL.

Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/CarePlan/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/890"
Via GET
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/CarePlan?patient=Patient/890" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"